Get Alert Rule Set By Id

Get Alert Rule Set By Id

Use this endpoint to fetch Alert rule set by its Id
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/orgs/{id}/alert-rule-set/{alertRuleSetId}
COPY
Path Parameters
string
id
Required

ID of the organization

string
alertRuleSetId
Required

ID of the Alert rule set


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AlertRuleSetDto of type(s) application/vnd.vmware.dms-v1+json
{
    "id": "string",
    "orgName": "string",
    "name": "string",
    "instanceCount": 0,
    "lastModifiedUserEmail": "string",
    "lastModifiedTime": "string",
    "orgId": "string",
    "alertRuleSetExpressions": [
        {
            "id": "string",
            "alertRuleSetId": "string",
            "alertRuleType": {
                "alertRuleTypeId": "string",
                "name": "string",
                "status": "string",
                "targetType": "string",
                "metricType": "string",
                "metricKey": "string",
                "alertType": "string"
            },
            "criticalExpression": "string",
            "warningExpression": "string",
            "criticalLastsFor": 0,
            "warningLastsFor": 0
        }
    ],
    "default": false,
    "links": [
        {
            "rel": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string"
        }
    ]
}
string As uuid As uuid
id
Optional

id

string
orgName
Optional

orgName

string
name
Required

name

integer As int64 As int64
instanceCount
Optional

instanceCount

string
lastModifiedUserEmail
Optional

lastModifiedUserEmail

string As date-time As date-time
lastModifiedTime
Optional

lastModifiedTime

string As uuid As uuid
orgId
Optional

orgId

alertRuleSetExpressions
Required

alertRuleSetExpressions

boolean
default
Optional

default

array of Link
links
Optional

links


400

Bad Request

Operation doesn't return any data structure